Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.temporal
Interface TemporalNode

All Superinterfaces:
  TemporalTopologicalPrimitive

    @UML(identifier="TM_Node",
         specification=ISO_19108)
    public interface TemporalNode

extends TemporalTopologicalPrimitive

A zero dimensional topological primitive in time.

Method Summary
`TemporalEdge` | `getNextEdge()` Links this temporal node to the next temporal edge.
`TemporalEdge` | `getPreviousEdge()` Links this temporal node to the previous temporal edge.
`Instant` | `getRealization()` An optional association that may link this temporal node to its corresponding instant.

Method Detail

### getRealization

    @UML(identifier="Realization",
         obligation=OPTIONAL,
         specification=ISO_19108)
    Instant getRealization()

  An optional association that may link this temporal node to its corresponding instant.

### getPreviousEdge

    @UML(identifier="previousEdge",
         obligation=MANDATORY,
         specification=ISO_19108)
    TemporalEdge getPreviousEdge()

  Links this temporal node to the previous temporal edge.

### getNextEdge

    @UML(identifier="nextEdge",
         obligation=MANDATORY,
         specification=ISO_19108)
    TemporalEdge getNextEdge()

  Links this temporal node to the next temporal edge.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.